View Issue Details

IDProjectCategoryView StatusLast Update
0016764LazarusLCLpublic2010-12-27 13:36
ReporterAlexander S. KleninAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0016764: TStaticText.BorderStyle is broken
DescriptionSetting BorderStyle to anything but sbsNone results in incorrect behavior.
Steps To Reproduce1) Create a form
2) Put StaticText component on it
2a) Set BorderStyle to sbsSingle
=> Height property is now 65534 (!)

2b) Set BorderStyle to sbsSunken
=> Border area is now not painted at all
(you can see that by e.g. toggling form view on/off)
Additional InformationTested on Windows XP, this might be a Windows-specific issue.
TagsNo tags attached.
Fixed in Revision28825,28826
LazTarget0.9.30
WidgetsetWin32/Win64
Attached Files

Activities

Vincent Snijders

2010-12-24 18:33

manager   ~0044576

According to Alexander this is a regression compared with 0.9.28.

samuel herzog

2010-12-25 20:04

developer   ~0044586

Yes, code in TCustomStaticText.SetStaticBorderStyle looks strange.

Paul Ishenin

2010-12-27 09:06

manager   ~0044617

Please test and close if ok.

Alexander S. Klenin

2010-12-27 09:24

developer   ~0044620

thanks

Issue History

Date Modified Username Field Change
2010-06-20 11:49 Alexander S. Klenin New Issue
2010-06-20 11:49 Alexander S. Klenin LazTarget => -
2010-06-20 11:49 Alexander S. Klenin Widgetset => Win32/Win64
2010-10-29 14:08 Vincent Snijders LazTarget - => 1.0
2010-10-29 14:08 Vincent Snijders Status new => acknowledged
2010-10-29 14:08 Vincent Snijders Target Version => 1.0.0
2010-12-24 18:33 Vincent Snijders Note Added: 0044576
2010-12-24 18:33 Vincent Snijders LazTarget 1.0 => 0.9.30
2010-12-24 18:33 Vincent Snijders Assigned To => Paul Ishenin
2010-12-24 18:33 Vincent Snijders Status acknowledged => assigned
2010-12-24 18:33 Vincent Snijders Target Version 1.0.0 => 0.9.30
2010-12-25 20:04 samuel herzog Note Added: 0044586
2010-12-27 09:06 Paul Ishenin Fixed in Revision => 28825,28826
2010-12-27 09:06 Paul Ishenin Status assigned => resolved
2010-12-27 09:06 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2010-12-27 09:06 Paul Ishenin Resolution open => fixed
2010-12-27 09:06 Paul Ishenin Note Added: 0044617
2010-12-27 09:24 Alexander S. Klenin Status resolved => closed
2010-12-27 09:24 Alexander S. Klenin Note Added: 0044620
2010-12-27 13:36 Vincent Snijders Fixed in Version 0.9.31 (SVN) => 0.9.29 (SVN)